Git-Verbindungen auflisten
curl --request GET \
--url https://api.devin.ai/v3/enterprise/git-providers/connections \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/git-providers/connections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/git-providers/connections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"created_at": 123,
"git_connection_id": "<string>",
"host": "<string>",
"name": "<string>"
}
],
"end_cursor": "<string>",
"has_next_page": false,
"total": 123
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Git-Verbindungen (Enterprise)
Git-Verbindungen auflisten
GET
/
v3
/
enterprise
/
git-providers
/
connections
Git-Verbindungen auflisten
Berechtigungen
ManageGitIntegrations auf Enterprise-Ebene.Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Antwort
Erfolgreiche Antwort
Show child attributes
Show child attributes
Cursor zum Abrufen der nächsten Seite, oder None, falls dies die letzte Seite ist.
Gibt an, ob nach dieser Seite weitere Elemente verfügbar sind.
Optionale Gesamtanzahl (kann zur Verbesserung der Performance ausgelassen werden).
⌘I

